FREECAD(1)

NAME
freecad - Extensible Open Source CAx program

SYNOPSIS
freecad [options] files
freecadcmd [options] files

DESCRIPTION
FreeCAD is an Open Source CAx RAD based on OpenCasCade, Qt and Python. It features some key concepts like macro recording, workbenches, ability to run as a server and dynamically loadable application extensions and it is designed to be platform independent.

USAGE
freecad starts with a GUI while freecadcmd is only a pure command line version that starts a Python interpreter.

OPTIONS
These programs follow the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of the options supported by freecad is included below.

  Generic options

-c, --console
    Starts in console mode.

--dump-config
    Dumps configuration.

--get-config arg
    Prints the value of the requested configuration key.

-h, --help
    Prints help message.

--response-file arg
    Can be specified with '@name', too.

-v, --version
    Prints version string.

  Configuration

-l, --write-log
    Writes a log file to $HOME/.FreeCAD/FreeCAD.log

--log-file arg
    Unlike --write-log this allows logging to an arbitrary file.

-M, --module-path arg
    Additional module paths.

-P, --python-path arg
    Additional Python paths.

-s, --system-cfg arg
    System config file to load/save system settings.

--single-instance
    Allow one to run a single instance of the application.

-t, --run-test arg
    Test case - or 0 for all.

-u, --user-cfg arg
    User config file to load/save user settings.

SEE ALSO
To get more information about FreeCAD, please visit https://freecad.org

BUGS
To report a bug, please visit https://github.com/FreeCAD/FreeCAD/issue

AUTHOR
This manual page was written by Werner Mayer and Salman Mohammadi <salman@smoha.org>.